Name:          freerdp
Version:       2.11.1
Release:       1mamba
Summary:       A Remote Desktop Protocol Implementation
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freerdp.com/
Source0:       https://github.com/FreeRDP/FreeRDP.git/%{version}/FreeRDP-%{version}.tar.bz2
Patch0:        %{name}-1.0.1-fix_not_linked_with_libpulse.patch
Patch1:        freerdp-1.0.2-ffmpeg-2.3.3.patch
Patch2:        freerdp-2.10.0-ffmpeg-6.0.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: libXv-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libcups-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libopenssl-devel
BuildRequires: libpam-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libswresample-ffmpeg-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libsystemd-devel
BuildRequires: libusb-devel
BuildRequires: libwayland-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxkbfile-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: xmlto
BuildRequires: libxml2-utils
BuildRequires: docbook-utils
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
FreeRDP is a free implementation of the Remote Desktop Protocol (RDP), according to the Microsoft Open Specifications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.
libfreerdp-core can be embedded in applications.
libfreerdp-channels and libfreerdp-kbd might be convenient to use in X applications together with libfreerdp-core.
libfreerdp-core can be extended with plugins handling RDP channels.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package plugins
Group:         Applications/Networking
Summary:       Plugins for handling the standard RDP channels
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description plugins
A set of plugins to the channel manager implementing the standard virtual channels extending RDP core functionality.
For instance, sounds, clipboard sync, disk/printer redirection, etc.

%debug_package

%prep
%setup -q -n FreeRDP-%{version}
#-D -T
#:<< _EOF
#%patch0 -p1
#%patch1 -p1
#%patch 2 -p1 -b .ffmpeg-6.0

%build
#:<< _EOF
%cmake -d build \
   -DCMAKE_BUILD_TYPE=Release \
   -DWITH_ALSA=ON \
   -DWITH_CUPS=ON \
   -DWITH_PULSEAUDIO=ON \
   -DWITH_PCSC=ON \
   -DWITH_X11=ON \
   -DWITH_XCURSOR=ON \
   -DWITH_XEXT=ON \
   -DWITH_XINERAMA=ON \
   -DWITH_XKBFILE=ON \
   -DWITH_XVL=ON \
   -DWITH_DIRECTFB=ON \
   -DWITH_DSP_FFMPEG=ON \
   -DWITH_FFMPEG=ON \
   -DWITH_ICU=ON \
   -DWITH_JPEG=ON \
   -DWITH_SERVER=ON \
   -DWITH_SWSCALE=ON \
   -DWITH_CHANNELS=ON \
   -DWITH_CLIENT_CHANNELS=ON \
   -DWITH_SERVER_CHANNELS=ON \
   -DCHANNEL_URBDRC_CLIENT=ON \
%ifarch %{ix86}
   -DWITH_SSE2=OFF \
%endif
%ifarch arm
   -DWITH_NEON=OFF \
%endif
   -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib}

#   -DWITH_CUNIT=OFF \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/freerdp-proxy
%{_bindir}/freerdp-shadow-cli
%{_bindir}/xfreerdp
%{_bindir}/winpr-hash
%{_bindir}/winpr-makecert
%{_bindir}/wlfreerdp
%{_mandir}/man1/freerdp-shadow-cli.1*
%{_mandir}/man1/xfreerdp.*
%{_mandir}/man1/winpr-hash.1*
%{_mandir}/man1/winpr-makecert.1*
%{_mandir}/man1/wlfreerdp.1*
%{_mandir}/man7/wlog.7*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfreerdp-client2.so.*
%{_libdir}/libfreerdp2.so.*
%{_libdir}/libfreerdp-server2.so.*
%{_libdir}/libfreerdp-shadow-subsystem2.so.*
%{_libdir}/libfreerdp-shadow2.so.*
%{_libdir}/libuwac0.so.*
%{_libdir}/libwinpr-tools2.so.*
%{_libdir}/libwinpr2.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/freerdp2
%{_includedir}/freerdp2/*
%dir %{_includedir}/uwac0/uwac
%{_includedir}/uwac0/uwac/*
%dir %{_includedir}/winpr2/winpr
%{_includedir}/winpr2/winpr/*
%{_libdir}/libfreerdp-client2.so
%{_libdir}/libfreerdp2.so
%{_libdir}/libuwac0.so
%{_libdir}/libwinpr-tools2.so
%{_libdir}/libwinpr2.so
%{_libdir}/libfreerdp-server2.so
%{_libdir}/libfreerdp-shadow-subsystem2.so
%{_libdir}/libfreerdp-shadow2.so
%dir %{_libdir}/cmake/FreeRDP-Client2
%{_libdir}/cmake/FreeRDP-Client2/FreeRDP-Client*.cmake
%dir %{_libdir}/cmake/FreeRDP2
%{_libdir}/cmake/FreeRDP2/FreeRDP*.cmake
%dir %{_libdir}/cmake/WinPR2
%{_libdir}/cmake/WinPR2/WinPR*.cmake
%dir %{_libdir}/cmake/uwac0
%{_libdir}/cmake/uwac0/uwac*.cmake
%dir %{_libdir}/cmake/FreeRDP-Server2
%{_libdir}/cmake/FreeRDP-Server2/FreeRDP*.cmake
%dir %{_libdir}/cmake/FreeRDP-Shadow2
%{_libdir}/cmake/FreeRDP-Shadow2/FreeRDP*.cmake
%{_libdir}/pkgconfig/freerdp-client2.pc
%{_libdir}/pkgconfig/freerdp-server2.pc
%{_libdir}/pkgconfig/freerdp-shadow2.pc
%{_libdir}/pkgconfig/uwac0.pc
%{_libdir}/pkgconfig/winpr-tools2.pc
%{_libdir}/pkgconfig/winpr2.pc
%{_libdir}/pkgconfig/freerdp2.pc

#%files plugins
#%defattr(-,root,root)
##%{_libdir}/freerdp/*.so

%changelog
* Tue Sep 05 2023 Automatic Build System <autodist@mambasoft.it> 2.11.1-1mamba
- automatic version update by autodist

* Sat Sep 02 2023 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Sun May 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-3mamba
- fix incorrectly cloning from master instead of using release tag

* Sun May 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-2mamba
- rebuilt with server and other new cmake options to enable support for more functionalities

* Sat Feb 18 2023 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Fri Nov 18 2022 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Fri Jul 29 2022 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Tue Apr 26 2022 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Mon Mar 07 2022 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Wed Feb 23 2022 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Thu Oct 21 2021 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Wed Jul 28 2021 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Mon Mar 15 2021 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Mon Mar 01 2021 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Mon Jul 20 2020 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Mon Jun 22 2020 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Thu May 21 2020 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Thu Apr 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- freerdp: removed requirement for freerdp-plugins

* Fri Apr 10 2020 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0_20160107-1mamba
- update to 1.2.0_20160107

* Sun Dec 06 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-2mamba
- added patch for ffmpeg 2.3.3

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2

* Sun Sep 30 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-3mamba
- add the %{name}-plugins subpackage
- enable the pulseaudio plugin
- fix linking of rdpsnd_pulse.so against libpulse.so.0  

* Sun Sep 30 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-2mamba
- build requires libxml2-utils and docbook-utils

* Sat Sep 29 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1-1mamba
- package created by autospec
